org.jboss.jca.adapters.jdbc.local

## Class LocalManagedConnectionFactory

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnectionFactory
  - - org.jboss.jca.adapters.jdbc.local.LocalManagedConnectionFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory, org.jboss.jca.core.spi.statistics.Statistics

      public class LocalManagedConnectionFactory
      extends BaseWrapperManagedConnectionFactory

  LocalManagedConnectionFactory
  Author:
    David Jencks, Adrian Brock, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `connectionProperties` The connection properties
    `protected java.util.Properties` | `connectionProps` The connection properties

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnectionFactory

      `bundle, checkValidConnectionSQL, connectionChecker, doQueryTimeout, isTransactionQueryTimeout, log, newConnectionSQL, password, preparedStatementCacheSize, queryTimeout, sharePS, staleConnectionChecker, staleConnectionCheckerProps, TRACK_STATEMENTS_FALSE, TRACK_STATEMENTS_FALSE_INT, TRACK_STATEMENTS_NOWARN, TRACK_STATEMENTS_NOWARN_INT, TRACK_STATEMENTS_TRUE, TRACK_STATEMENTS_TRUE_INT, trackStatements, transactionIsolation, urlDelimiter, urlSelectorStrategyClassName, userName, validConnectionCheckerClassName, validConnectionCheckerProps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalManagedConnectionFactory()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cm)`
    `javax.resource.spi.ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getConnectionProperties()` Get the value of connectionProperties.
    `java.lang.String` | `getConnectionURL()` Get the value of ConnectionURL.
    `java.lang.String` | `getDataSourceClass()` Get the DataSourceClass value.
    `protected java.sql.Driver` | `getDriver(java.lang.String url)` Check the driver for the given URL.
    `java.lang.String` | `getDriverClass()` Get the DriverClass value.
    `int` | `hashCode()`
    `protected void` | `initUrlSelector()` Init URL selector
    `protected java.lang.String` | `internalGetConnectionURL()` Get the connection url
    `javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set mcs, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
    `void` | `setConnectionProperties(java.lang.String connectionProperties)` Set the value of connectionProperties.
    `void` | `setConnectionURL(java.lang.String connectionURL)` Set the value of ConnectionURL.
    `void` | `setDataSourceClass(java.lang.String dataSourceClass)` Set the DataSourceClass value.
    `void` | `setDriverClass(java.lang.String driverClass)` Set the DriverClass value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnectionFactory

      `createConnectionFactory, getCheckValidConnectionSQL, getClassLoaderPlugin, getConnectionListenerClassName, getConnectionListenerProperties, getConnectionProperties, getExceptionSorterClassLoader, getExceptionSorterClassName, getExceptionSorterProperties, getExceptionSorterProps, getInvalidConnections, getJndiName, getLogWriter, getNewConnectionSQL, getPassword, getPreparedStatementCacheSize, getQueryTimeout, getReauthEnabled, getReauthPluginClassName, getReauthPluginProperties, getResourceAdapter, getSharePreparedStatements, getSpy, getStaleConnectionCheckerClassName, getStaleConnectionCheckerProperties, getStaleConnectionCheckerProps, getStaleConnectionClassLoader, getStatistics, getTrackStatements, getTransactionIsolation, getURLDelimiter, getUrlSelectorStrategyClassName, getUserName, getUseTryLock, getValidConnectionCheckerClassLoader, getValidConnectionCheckerClassName, getValidConnectionCheckerProperties, getValidConnectionCheckerProps, isDoLocking, isExceptionFatal, isJTA, isTransactionQueryTimeout, setCheckValidConnectionSQL, setClassLoaderPlugin, setConnectionListenerClassName, setConnectionListenerProperties, setExceptionSorterClassLoader, setExceptionSorterClassName, setExceptionSorterProperties, setJndiName, setJTA, setLogWriter, setNewConnectionSQL, setOriginalTCCLn, setPassword, setPreparedStatementCacheSize, setQueryTimeout, setReauthEnabled, setReauthPluginClassName, setReauthPluginProperties, setResourceAdapter, setSharePreparedStatements, setSpy, setStaleConnectionCheckerClassLoader, setStaleConnectionCheckerClassName, setStaleConnectionCheckerProperties, setTrackStatements, setTransactionIsolation, setTransactionQueryTimeout, setURLDelimiter, setUrlSelectorStrategyClassName, setUserName, setUseTryLock, setValidConnectionCheckerClassLoader, setValidConnectionCheckerClassName, setValidConnectionCheckerProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### connectionProperties

          protected java.lang.String connectionProperties

      The connection properties

    - #### connectionProps

          protected final java.util.Properties connectionProps

      The connection properties

  - ### Constructor Detail

    - #### LocalManagedConnectionFactory

          public LocalManagedConnectionFactory()

      Constructor

  - ### Method Detail

    - #### createConnectionFactory

          public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager cm)
                                                   throws javax.resource.ResourceException

      Specified by:
        `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
      Overrides:
        `createConnectionFactory` in class `BaseWrapperManagedConnectionFactory`
      Throws:
        `javax.resource.ResourceException`

    - #### getConnectionURL

          public java.lang.String getConnectionURL()

      Get the value of ConnectionURL.
      Returns:
        value of ConnectionURL.

    - #### setConnectionURL

          public void setConnectionURL(java.lang.String connectionURL)

      Set the value of ConnectionURL.
      Parameters:
        `connectionURL` - Value to assign to ConnectionURL.

    - #### getDriverClass

          public java.lang.String getDriverClass()

      Get the DriverClass value.
      Returns:
        the DriverClass value.

    - #### setDriverClass

          public void setDriverClass(java.lang.String driverClass)

      Set the DriverClass value.
      Parameters:
        `driverClass` - The new DriverClass value.

    - #### getDataSourceClass

          public java.lang.String getDataSourceClass()

      Get the DataSourceClass value.
      Returns:
        the DataSourceClass value.

    - #### setDataSourceClass

          public void setDataSourceClass(java.lang.String dataSourceClass)

      Set the DataSourceClass value.
      Parameters:
        `dataSourceClass` - The new DataSourceClass value.

    - #### getConnectionProperties

          public java.lang.String getConnectionProperties()

      Get the value of connectionProperties.
      Returns:
        value of connectionProperties.

    - #### setConnectionProperties

          public void setConnectionProperties(java.lang.String connectionProperties)

      Set the value of connectionProperties.
      Parameters:
        `connectionProperties` - Value to assign to connectionProperties.

    - #### createManagedConnection

          public javax.resource.spi.ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                                              javax.resource.spi.ConnectionRequestInfo cri)
                                                                       throws javax.resource.ResourceException

      Throws:
        `javax.resource.ResourceException`

    - #### initUrlSelector

          protected void initUrlSelector()

      Init URL selector

    - #### matchManagedConnections

          public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set mcs,
                                                                              javax.security.auth.Subject subject,
                                                                              javax.resource.spi.ConnectionRequestInfo cri)
                                                                       throws javax.resource.ResourceException

      Throws:
        `javax.resource.ResourceException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `javax.resource.spi.ManagedConnectionFactory`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in interface `javax.resource.spi.ManagedConnectionFactory`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDriver

          protected java.sql.Driver getDriver(java.lang.String url)
                                       throws javax.resource.ResourceException

      Check the driver for the given URL. If it is not registered already then register it.
      Parameters:
        `url` - The JDBC URL which we need a driver for.
      Returns:
        The driver
      Throws:
        `javax.resource.ResourceException` - Thrown if an error occurs

    - #### internalGetConnectionURL

          protected java.lang.String internalGetConnectionURL()

      Get the connection url
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)